commit: f29a28bb1af16b582c7e8cc3311d64e850424ec3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 28 17:26:25 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 29 08:14:28 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f29a28bb
app-portage/esearch: Replace python_export_best
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-portage/esearch/esearch-1.3-r2.ebuild | 10 ++++------
app-portage/esearch/esearch-9999.ebuild | 11 +++++------
2 files changed, 9 insertions(+), 12 deletions(-)
diff --git a/app-portage/esearch/esearch-1.3-r2.ebuild
b/app-portage/esearch/esearch-1.3-r2.ebuild
index c7d538437df..f2e2ee6be36 100644
--- a/app-portage/esearch/esearch-1.3-r2.ebuild
+++ b/app-portage/esearch/esearch-1.3-r2.ebuild
@@ -29,17 +29,15 @@ PATCHES=(
"${FILESDIR}"/${PV}-Fix-python-3-compatability.patch
)
-python_prepare_all() {
- python_export_best
- echo VERSION="${PVR}" "${PYTHON}" setup.py set_version
- VERSION="${PVR}" "${PYTHON}" setup.py set_version \
+python_configure_all() {
+ echo VERSION="${PVR}" "${EPYTHON}" setup.py set_version
+ VERSION="${PVR}" "${EPYTHON}" setup.py set_version \
|| die "setup.py set_version failed"
- distutils-r1_python_prepare_all
}
python_install_all() {
distutils-r1_python_install_all
- dodoc eupdatedb.cron || die "dodoc failed"
+ dodoc eupdatedb.cron
# Remove unused man pages according to the l10n flags
if ! use l10n_fr ; then
diff --git a/app-portage/esearch/esearch-9999.ebuild
b/app-portage/esearch/esearch-9999.ebuild
index d3487f839a8..10b62a631ed 100644
--- a/app-portage/esearch/esearch-9999.ebuild
+++ b/app-portage/esearch/esearch-9999.ebuild
@@ -21,16 +21,15 @@ KEYWORDS=""
DEPEND="sys-apps/portage"
RDEPEND="${DEPEND}"
-python_prepare_all() {
- python_export_best
- echo VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version
- VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version
- distutils-r1_python_prepare_all
+python_configure_all() {
+ echo VERSION="${PVR}" "${EPYTHON}" setup.py set_version
+ VERSION="${PVR}" "${EPYTHON}" setup.py set_version \
+ || die "setup.py set_version failed"
}
python_install_all() {
distutils-r1_python_install_all
- dodoc eupdatedb.cron || die "dodoc failed"
+ dodoc eupdatedb.cron
# Remove unused man pages according to the l10n flags
if ! use l10n_fr ; then